package com.futu.course.es.controller;

import com.futu.course.es.Service.ESCourseService;
import org.elasticsearch.search.SearchHit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.ArrayList;

/**
 * @author "杨旭朋"
 * @ClassName: ESCourseController
 * @date 2025年05月06日 15:54
 */
@RestController
@RequestMapping("/EsCourse")
public class ESCourseController {
    @Autowired
    ESCourseService esCourseService;
    @PostMapping("/search")
    public ArrayList<String> search(@RequestParam("name") String name) throws IOException {
      return esCourseService.search(name);
    }
}
